#include <iostream>

using namespace std;

int main()
{
    int L, N;

    cin>>L>>N;

    int visina;

    for(int i = 0; i > N; i++)
    {
        int Hi;
        cin>>Hi;
    }

    fot(int i = 0; i < N; i++ ){
    if(Hi < s) {
        cout<<i + 1;
    }
    } else {
    cout<< "-1";
    }



    return 0;
}